using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IVaccinationLogic
	{
		List<VaccinationViewModel>? ReadList(VaccinationSearchModel? model);
		VaccinationViewModel? ReadElement(VaccinationSearchModel model);
		bool Create(VaccinationBindingModel model);
		bool Update(VaccinationBindingModel model);
		bool Delete(VaccinationBindingModel model);
	}
}
